/**Begin D:\PDM\PDM_UPGRADE\pdm1\TMBRM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_EVALITEM_L')
 CREATE TABLE T_TMBRM_EVALITEM_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_EVALITEM_REF')
 CREATE TABLE T_TMBRM_EVALITEM_REF (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FREFQUOTAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_EVALITEM_RULE')
 CREATE TABLE T_TMBRM_EVALITEM_RULE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FITEMNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSCOREFROM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSCORETO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSCORE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRULECOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_EVALITEM')
 CREATE TABLE T_TMBRM_EVALITEM (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(80) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FPARENTCLASSIFY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNATURE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEVAMETHOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEXTRAADDORSUB NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISDEDUCT NVARCHAR(30) DEFAULT ' ' NOT NULL,
FMAXSCORE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FITEMCLASSIFYID BIGINT DEFAULT 0 NOT NULL,
FAUTOSCORESCHEMEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_EVALITEM_RULE_L')
 CREATE TABLE T_TMBRM_EVALITEM_RULE_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FRULECOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_EVAL_REPORT')
 CREATE TABLE T_TMBRM_EVAL_REPORT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FEVALSCHEDULEID BIGINT DEFAULT 0 NOT NULL,
FACTUALDATE DATETIME,
FREPORTSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCHECKERLD BIGINT DEFAULT 0 NOT NULL,
FCHECKOPINION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCHECKTIME DATETIME,
FGENERATETIME DATETIME,
FENDOPINION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTERMINATORID BIGINT DEFAULT 0 NOT NULL,
FENDTIME DATETIME,
FFINORGTYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_EVAL_REPORT_L')
 CREATE TABLE T_TMBRM_EVAL_REPORT_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCHECKOPINION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FENDOPINION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_EVAL_RPT_RESULT')
 CREATE TABLE T_TMBRM_EVAL_RPT_RESULT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FFINORGID BIGINT DEFAULT 0 NOT NULL,
FEVALPOINT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDETAILSCORE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDETAILSCORE_TAG NCLOB DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_EVAL_RPT_ORGDTL')
 CREATE TABLE T_TMBRM_EVAL_RPT_ORGDTL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FFINORGID BIGINT DEFAULT 0 NOT NULL,
FEVALPOINT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDETAILSCORE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDETAILSCORE_TAG NCLOB DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_EVAL_RPT_BONUS')
 CREATE TABLE T_TMBRM_EVAL_RPT_BONUS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FFINORGID BIGINT DEFAULT 0 NOT NULL,
FEVALPOINT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBONUSPOINT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPLUSINFO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FORGPOINT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEVALIATORID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_EVAL_RPT_MINUS')
 CREATE TABLE T_TMBRM_EVAL_RPT_MINUS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FFINORGID BIGINT DEFAULT 0 NOT NULL,
FEVALPOINT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMINUSPOINT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMINUSINFO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FORGPOINT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEVALIATORID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_EVALITEM_CLASS')
CREATE TABLE T_TMBRM_EVALITEM_CLASS (
    FID BIGINT DEFAULT 0 NOT NULL,
    FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
    FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FCREATORID BIGINT DEFAULT 0 NOT NULL,
    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
    FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FCREATETIME DATETIME,
    FMODIFYTIME DATETIME,
    FMASTERID BIGINT DEFAULT 0 NOT NULL,
    FLONGNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FLEVEL BIGINT DEFAULT 0 NOT NULL,
    FISLEAF CHAR(1) DEFAULT '1' NOT NULL,
    FPARENTID BIGINT DEFAULT 0 NOT NULL,
    FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FDISABLERID BIGINT DEFAULT 0 NOT NULL,
    FENABLERID BIGINT DEFAULT 0 NOT NULL,
    FENABLEDATE DATETIME,
    FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_EVALITEM_CLASS_L')
CREATE TABLE T_TMBRM_EVALITEM_CLASS_L (
    FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
    FID BIGINT DEFAULT 0 NOT NULL,
    FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
    FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FFULLNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);




IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_EVALPROPOSAL')
 CREATE TABLE T_TMBRM_EVALPROPOSAL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(80) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FPERIOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTOTALSCORE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISSUMWEIGHT CHAR(1) DEFAULT '1' NOT NULL,
FDESCRIPTION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FEVALUATETYPEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_EVALPROPITEM')
 CREATE TABLE T_TMBRM_EVALPROPITEM (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FWEIGHT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FITEMDESC NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_EVALPROPOSAL_L')
 CREATE TABLE T_TMBRM_EVALPROPOSAL_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\TMBRM_table.sql **/

