﻿/**Begin D:\PDM_UPGRADE\PDM1\TMBRM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_ACCESSAPPLY') 
 CREATE TABLE T_TMBRM_ACCESSAPPLY (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FAPPLYDATE DATETIME,
FINVALIDSTATUS CHAR(1) DEFAULT '0' NOT NULL,
FAPPLYREASON NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FFINORGTYPEID BIGINT DEFAULT 0 NOT NULL,
FBEBANKID BIGINT DEFAULT 0 NOT NULL,
FFINORGNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBANKSHORTNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBANKNATURE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBANKSETTINGID BIGINT DEFAULT 0 NOT NULL,
FCREDITCODE NVARCHAR(18) DEFAULT ' ' NOT NULL,
FAUTHCODE NVARCHAR(15) DEFAULT ' ' NOT NULL,
FUNIONCODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSWIFTCODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISLISTED CHAR(1) DEFAULT '0' NOT NULL,
FCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FPROVINCEID BIGINT DEFAULT 0 NOT NULL,
FCITYID BIGINT DEFAULT 0 NOT NULL,
FADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FORGCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFINCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYUNIT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNETPROFIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALASSETS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALLOAN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALCUSTDEPOSIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNETINTERESTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNOPERFLOADRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROVCONVERAGE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCAPADEQUACY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFINDESC NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FACCESSTYPEID BIGINT DEFAULT 0 NOT NULL,
FENTERSURVEY CHAR(1) DEFAULT '0' NOT NULL,
FENTERACCESSEVAL CHAR(1) DEFAULT '0' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FISGENFINORG CHAR(1) DEFAULT '0' NOT NULL,
FFINORGNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_ACCESSCONTENTRY') 
 CREATE TABLE T_TMBRM_ACCESSCONTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCONTACTNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMOBILEPHONE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEMAIL NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDEFAULT CHAR(1) DEFAULT '0' NOT NULL,
FGENDER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDEPARTMENT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FJOBTITLE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FRESPOSIBILITY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPHONE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_ACCESSCREDITENTRY') 
 CREATE TABLE T_TMBRM_ACCESSCREDITENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FRATINGAGENCYID BIGINT DEFAULT 0 NOT NULL,
FRATINGSCALE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRATINGDATE DATETIME,
FRATINGCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_ACCESSEVALENTRY') 
 CREATE TABLE T_TMBRM_ACCESSEVALENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FEVALITEMID BIGINT DEFAULT 0 NOT NULL,
FINPUTSCORE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FITEMCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FITEMWEIGHT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FITEMSCORE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_ACCESSPRODENTRY') 
 CREATE TABLE T_TMBRM_ACCESSPRODENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSURVEYELEMENTID BIGINT DEFAULT 0 NOT NULL,
FEVALUATION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPRODUCTINFO NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_ACCESSSHAREENTRY') 
 CREATE TABLE T_TMBRM_ACCESSSHAREENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSHAREHOLDER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSNATUREID BIGINT DEFAULT 0 NOT NULL,
FSCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FSPERCENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_ACCESSSURVENTRY') 
 CREATE TABLE T_TMBRM_ACCESSSURVENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSURVEYUSERID BIGINT DEFAULT 0 NOT NULL,
FISHEAD CHAR(1) DEFAULT '0' NOT NULL,
FSURVEYCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_ACCESSAPPLY_L') 
 CREATE TABLE T_TMBRM_ACCESSAPPLY_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FFINORGNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBANKSHORTNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_ACCESSAPPLY_E') 
 CREATE TABLE T_TMBRM_ACCESSAPPLY_E (
FID BIGINT DEFAULT 0 NOT NULL,
SURVEYBEGIN DATETIME,
SURVEYEND DATETIME,
FSURVEYINFO NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FCOOPERATELEVEL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOOPERATEAREA NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FCOOPERATESCOPE NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FCOOPERATEINFO NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FEVALUATEORG BIGINT DEFAULT 0 NOT NULL,
FEVALUATEDATE DATETIME,
FEVALPROPOSALID BIGINT DEFAULT 0 NOT NULL,
FBANKEVALWAY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEVALSCORE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEVALUATER BIGINT DEFAULT 0 NOT NULL,
FEVALCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


/**End D:\PDM_UPGRADE\PDM1\TMBRM_table.sql **/
