﻿/**Begin D:\PDM\PDM_UPGRADE\pdm1\TMBRM_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_TMBRM_ARCHIVES_CHG', 'T_TMBRM_ARCHIVES_CHG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_ARCHIVES_CHG_0') CREATE INDEX IDX_TMBRM_ARCHIVES_CHG_0 ON T_TMBRM_ARCHIVES_CHG ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_TMBRM_ARCHIVES_CHG_L', 'T_TMBRM_ARCHIVES_CHG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_ARCHIVES_CHG_L_0') CREATE INDEX IDX_TMBRM_ARCHIVES_CHG_L_0 ON T_TMBRM_ARCHIVES_CHG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_TMBRM_CHG_ENTRY', 'T_TMBRM_CHG_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_CHG_ENTRY_FK') CREATE INDEX IDX_TMBRM_CHG_ENTRY_FK ON T_TMBRM_CHG_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_TMBRM_CHG_ENTRY_L', 'T_TMBRM_CHG_ENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_CHG_ENTRY_L_0') CREATE INDEX IDX_TMBRM_CHG_ENTRY_L_0 ON T_TMBRM_CHG_ENTRY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_TMBRM_CHG_ENTRY_ATT', 'T_TMBRM_CHG_ENTRY_ATT', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_CHG_ENTRY_ATT_0') CREATE INDEX IDX_TMBRM_CHG_ENTRY_ATT_0 ON T_TMBRM_CHG_ENTRY_ATT ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_TMBRM_CHG_ENTRY_CHGATT', 'T_TMBRM_CHG_ENTRY_CHGATT', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_CHG_ENTRY_CHGATT_0') CREATE INDEX IDX_TMBRM_CHG_ENTRY_CHGATT_0 ON T_TMBRM_CHG_ENTRY_CHGATT ( FENTRYID );


EXEC P_ALTERPK 'PK_T_TMBRM_ARCHIVES_SHARE', 'T_TMBRM_ARCHIVES_SHARE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_ARCHIVES_SHARE_FK') CREATE INDEX IDX_TMBRM_ARCHIVES_SHARE_FK ON T_TMBRM_ARCHIVES_SHARE ( FID );


EXEC P_ALTERPK 'PK_T_TMBRM_ARCHIVES_SHARE_L', 'T_TMBRM_ARCHIVES_SHARE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_ARCHIVES_SHARE_L_0') CREATE INDEX IDX_TMBRM_ARCHIVES_SHARE_L_0 ON T_TMBRM_ARCHIVES_SHARE_L ( FENTRYID ,FLOCALEID );


EXEC P_ALTERPK 'PK_T_TMBRM_ARCHIVES_CREDIT', 'T_TMBRM_ARCHIVES_CREDIT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_ARCHIVES_CREDIT_FK') CREATE INDEX IDX_TMBRM_ARCHIVES_CREDIT_FK ON T_TMBRM_ARCHIVES_CREDIT ( FID );


EXEC P_ALTERPK 'PK_T_TMBRM_ARCHIVES_CREDIT_L', 'T_TMBRM_ARCHIVES_CREDIT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_ARCHIVES_CREDIT_L_0') CREATE INDEX IDX_TMBRM_ARCHIVES_CREDIT_L_0 ON T_TMBRM_ARCHIVES_CREDIT_L ( FENTRYID ,FLOCALEID );


EXEC P_ALTERPK 'PK_T_TMBRM_ARCHIVES_CONTACT', 'T_TMBRM_ARCHIVES_CONTACT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_ARCHIVES_CONTACT_FK') CREATE INDEX IDX_TMBRM_ARCHIVES_CONTACT_FK ON T_TMBRM_ARCHIVES_CONTACT ( FID );


EXEC P_ALTERPK 'PK_T_TMBRM_ARCHIVES_CONTACT_L', 'T_TMBRM_ARCHIVES_CONTACT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_ARCHIVES_CONTACT_L_0') CREATE INDEX IDX_TMBRM_ARCHIVES_CONTACT_L_0 ON T_TMBRM_ARCHIVES_CONTACT_L ( FENTRYID ,FLOCALEID );


EXEC P_ALTERPK 'PK_T_TMBRM_ARCHIVES_MANAGER', 'T_TMBRM_ARCHIVES_MANAGER', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_ARCHIVES_MANAGER_FK') CREATE INDEX IDX_TMBRM_ARCHIVES_MANAGER_FK ON T_TMBRM_ARCHIVES_MANAGER ( FID );


EXEC P_ALTERPK 'PK_T_TMBRM_ARCHIVES_MANAGER_L', 'T_TMBRM_ARCHIVES_MANAGER_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_ARCHIVES_MANAGER_L_0') CREATE INDEX IDX_TMBRM_ARCHIVES_MANAGER_L_0 ON T_TMBRM_ARCHIVES_MANAGER_L ( FENTRYID ,FLOCALEID );


EXEC P_ALTERPK 'PK_T_TMBRM_ARCHIVES_EVALINFO', 'T_TMBRM_ARCHIVES_EVALINFO', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_ARCHIVES_EVALINFO_FK') CREATE INDEX IDX_TMBRM_ARCHIVES_EVALINFO_FK ON T_TMBRM_ARCHIVES_EVALINFO ( FID );


EXEC P_ALTERPK 'PK_T_TMBRM_ARCHIVES_COMM', 'T_TMBRM_ARCHIVES_COMM', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_ARCHIVES_COMM_FK') CREATE INDEX IDX_TMBRM_ARCHIVES_COMM_FK ON T_TMBRM_ARCHIVES_COMM ( FID );


EXEC P_ALTERPK 'PK_T_TMBRM_ARCHIVES_COMM_L', 'T_TMBRM_ARCHIVES_COMM_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_ARCHIVES_COMM_L_0') CREATE INDEX IDX_TMBRM_ARCHIVES_COMM_L_0 ON T_TMBRM_ARCHIVES_COMM_L ( FENTRYID ,FLOCALEID );


EXEC P_ALTERPK 'PK_T_TMBRM_ARCHIVES_FINORG', 'T_TMBRM_ARCHIVES_FINORG', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_ARCHIVES_FINORG_FK') CREATE INDEX IDX_TMBRM_ARCHIVES_FINORG_FK ON T_TMBRM_ARCHIVES_FINORG ( FID );


EXEC P_ALTERPK 'PK_T_TMBRM_ARCHIVES_KEYITEM', 'T_TMBRM_ARCHIVES_KEYITEM', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_ARCHIVES_KEYITEM_FK') CREATE INDEX IDX_TMBRM_ARCHIVES_KEYITEM_FK ON T_TMBRM_ARCHIVES_KEYITEM ( FID );


EXEC P_ALTERPK 'PK_T_TMBRM_FINORG_ARCHIVES_F', 'T_TMBRM_FINORG_ARCHIVES_F', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_FINORG_ARCHIVES_F_0') CREATE INDEX IDX_TMBRM_FINORG_ARCHIVES_F_0 ON T_TMBRM_FINORG_ARCHIVES_F ( FFINCURRENCYID );


EXEC P_ALTERPK 'PK_T_TMBRM_FINORG_ARCHIVES_C', 'T_TMBRM_FINORG_ARCHIVES_C', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_FINORG_ARCHIVES_C_0') CREATE INDEX IDX_TMBRM_FINORG_ARCHIVES_C_0 ON T_TMBRM_FINORG_ARCHIVES_C ( FSTRATEGICBANK );


EXEC P_ALTERPK 'PK_T_TMBRM_KEYITEM_ATTACH', 'T_TMBRM_KEYITEM_ATTACH', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_KEYITEM_ATTACH_0') CREATE INDEX IDX_TMBRM_KEYITEM_ATTACH_0 ON T_TMBRM_KEYITEM_ATTACH ( FENTRYID );


EXEC P_ALTERPK 'PK_T_TMBRM_COMM_ATTACH', 'T_TMBRM_COMM_ATTACH', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_COMM_ATTACH_0') CREATE INDEX IDX_TMBRM_COMM_ATTACH_0 ON T_TMBRM_COMM_ATTACH ( FENTRYID );


EXEC P_ALTERPK 'PK_T_TMBRM_FINORG_ARCHIVES', 'T_TMBRM_FINORG_ARCHIVES', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_FINORG_ARCHIVES_0') CREATE INDEX IDX_TMBRM_FINORG_ARCHIVES_0 ON T_TMBRM_FINORG_ARCHIVES ( FBILLNO );


EXEC P_ALTERPK 'PK_T_TMBRM_FINORG_ARCHIVES_L', 'T_TMBRM_FINORG_ARCHIVES_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_FINORG_ARCHIVES_L_0') CREATE INDEX IDX_TMBRM_FINORG_ARCHIVES_L_0 ON T_TMBRM_FINORG_ARCHIVES_L ( FID ,FLOCALEID );

 EXEC P_ALTERPK 'PK_T_TMBRM_ACCESSCONTENTRY_L', 'T_TMBRM_ACCESSCONTENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_ACCESSCONTENTRY_L_0') CREATE INDEX IDX_TMBRM_ACCESSCONTENTRY_L_0 ON T_TMBRM_ACCESSCONTENTRY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_TMBRM_ACCESSCREDITENTRY_L', 'T_TMBRM_ACCESSCREDITENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_ACCESSCRDENTRY_L_0') CREATE INDEX IDX_TMBRM_ACCESSCRDENTRY_L_0 ON T_TMBRM_ACCESSCREDITENTRY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_TMBRM_ACCESSSHAREENTRY_L', 'T_TMBRM_ACCESSSHAREENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_ACCESSSHAREENTRY_L_0') CREATE INDEX IDX_TMBRM_ACCESSSHAREENTRY_L_0 ON T_TMBRM_ACCESSSHAREENTRY_L ( FENTRYID ,FLOCALEID );



/**End D:\PDM\PDM_UPGRADE\pdm1\TMBRM_constraint.sql **/
