/**Begin D:\PDM\PDM_UPGRADE\pdm1\TMBRM_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_AUTOSCOREPROPOSAL')
CREATE TABLE T_TMBRM_AUTOSCOREPROPOSAL (
    FID BIGINT DEFAULT 0 NOT NULL,
    FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
    FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
    FCREATORID BIGINT DEFAULT 0 NOT NULL,
    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
    FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
    FCREATETIME DATETIME,
    FMODIFYTIME DATETIME,
    FMASTERID BIGINT DEFAULT 0 NOT NULL,
    FSCOREWAY VARCHAR(50) DEFAULT ' ' NOT NULL,
    FVALUEBILLID VARCHAR(36) DEFAULT ' ' NOT NULL,
    FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FPRESET CHAR(1) DEFAULT '0' NOT NULL,
    FPLUGIN VARCHAR(255) DEFAULT ' ' NOT NULL,
    FVALUEFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
    FVALUEFIELDSHOW VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_AUTOSCORE_ENTRY')
CREATE TABLE T_TMBRM_AUTOSCORE_ENTRY (
    FID BIGINT DEFAULT 0 NOT NULL,
    FENTRYID BIGINT DEFAULT 0 NOT NULL,
    FSEQ BIGINT DEFAULT 0 NOT NULL,
    FSCORE DECIMAL(23,10) DEFAULT 0 NOT NULL,
    FCONDITIONTEXT VARCHAR(255) DEFAULT ' ' NOT NULL,
    FCONDITIONVALUE VARCHAR(255) DEFAULT ' ' NOT NULL,
    FCONDITIONBDID VARCHAR(50) DEFAULT ' ' NOT NULL,
    FCONDITIONBD VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_AUTOSCOREPROPOSAL_L')
CREATE TABLE T_TMBRM_AUTOSCOREPROPOSAL_L (
    FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
    FID BIGINT DEFAULT 0 NOT NULL,
    FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
    FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\PDM\PDM_UPGRADE\pdm1\TMBRM_table.sql **/