-- 数据标签
DELETE FROM t_privacy_data_tag WHERE FID = 1669662947552569344;
INSERT INTO t_privacy_data_tag(FID,FMODIFYDATE,FMODIFIER,FCREATEDATE,FCREATER,FSTATUS,FNUMBER,FNAME) VALUES (1669662947552569344,{ts'2023-04-24  00:00:00'},1403580554045239296,{ts'2023-04-23  00:00:00'},1403580554045239296,'C','TMBRM_AC_S','准入申请数据脱敏');

-- 数据标签分录
DELETE FROM t_privacy_data_tag_fields WHERE FENTRYID = 1669662947560957952;
INSERT INTO t_privacy_data_tag_fields(FID,FFIELD_NAME,FFIELD_IDENT,FTABLE_NAME,FDATATAGID,FAPP_NUMBER,FENTRYID,FFIELD_DESC,FENTITY_NAME,FAPP_ROUTE,FFIELD_TYPE,FCLOUD_NAME,FENTITY_NUMBER,FAPP_NAME,FSEQ,FCLOUD_NUMBER) VALUES (1669662947552569344,'fmobilephone','mobilephone',' ',NULL,'34HTXX81G8FI',1669662947560957952,'手机号','准入申请','tmc','12','资金云','tmbrm_access_apply','金融机构关系管理',1,'/LOQO9724P0L');
DELETE FROM t_privacy_data_tag_fields WHERE FENTRYID = 1669662947560957953;
INSERT INTO t_privacy_data_tag_fields(FID,FFIELD_NAME,FFIELD_IDENT,FTABLE_NAME,FDATATAGID,FAPP_NUMBER,FENTRYID,FFIELD_DESC,FENTITY_NAME,FAPP_ROUTE,FFIELD_TYPE,FCLOUD_NAME,FENTITY_NUMBER,FAPP_NAME,FSEQ,FCLOUD_NUMBER) VALUES (1669662947552569344,'fphone','phone',' ',NULL,'34HTXX81G8FI',1669662947560957953,'电话','准入申请','tmc','12','资金云','tmbrm_access_apply','金融机构关系管理',2,'/LOQO9724P0L');
DELETE FROM t_privacy_data_tag_fields WHERE FENTRYID = 1669662947560957954;
INSERT INTO t_privacy_data_tag_fields(FID,FFIELD_NAME,FFIELD_IDENT,FTABLE_NAME,FDATATAGID,FAPP_NUMBER,FENTRYID,FFIELD_DESC,FENTITY_NAME,FAPP_ROUTE,FFIELD_TYPE,FCLOUD_NAME,FENTITY_NUMBER,FAPP_NAME,FSEQ,FCLOUD_NUMBER) VALUES (1669662947552569344,'femail','email',' ',NULL,'34HTXX81G8FI',1669662947560957954,'邮箱','准入申请','tmc','12','资金云','tmbrm_access_apply','金融机构关系管理',3,'/LOQO9724P0L');
DELETE FROM t_privacy_data_tag_fields WHERE FENTRYID = 1670322533146043392;
INSERT INTO t_privacy_data_tag_fields(FID,FFIELD_NAME,FFIELD_IDENT,FTABLE_NAME,FDATATAGID,FAPP_NUMBER,FENTRYID,FFIELD_DESC,FENTITY_NAME,FAPP_ROUTE,FFIELD_TYPE,FCLOUD_NAME,FENTITY_NUMBER,FAPP_NAME,FSEQ,FCLOUD_NUMBER) VALUES (1669662947552569344,'fcontactname','contactname',' ',NULL,'34HTXX81G8FI',1670322533146043392,'姓名','准入申请','tmc','12','资金云','tmbrm_access_apply','金融机构关系管理',4,'/LOQO9724P0L');

-- 隐私方案
DELETE FROM t_privacy_scheme_config WHERE FID = 1669672736320139264;
INSERT INTO t_privacy_scheme_config(FID,FSCHEME_NAME,FMODIFYDATE,FCREATEDATE,FMASTERID,FMESSAGECHANNEL,FMODIFIER,FSCHEME_STATUS,FTEMPLATE,FSCHEME_CODE,FCREATER,FDATALABELID,FSCHEME_DESC) VALUES (1669672736320139264,'准入申请数据脱敏',{ts'2023-04-24  00:00:00'},{ts'2023-04-23  00:00:00'},1669672736320139264,' ',1403580554045239296,'1',' ','TMBRM_AC_S',1403580554045239296,1669662947552569344,' ');

-- 脱敏规则
DELETE FROM t_privacy_scheme_desen WHERE FENTRYID = 1669672736370470912;
INSERT INTO t_privacy_scheme_desen(FID,FDENSEFIELDLOCALE,FDENSE_TABLE_NAME,FDENSE_FIELD_IDENT,FDESENSITIZ_STATUS,FENTRYID,FDENSE_ENTITY_NUMBER,FDENSE_APP_NUMBER,FDENSE_ENTITY_NAME,FDENSE_FIELD_LOCALE,FDESENSITIZE_TYPE,FDESENSITIZE_RULE,FLABELID,FDENSE_CLOUD_NUMBER,FDENSE_FIELD_TYPE,FPLUGIN,FDENSE_FIELD_DESC,FSEQ,FDENSE_FIELD_NAME,FDENSE_APP_NAME,FDENSE_CLOUD_NAME) VALUES (1669672736320139264,' ',' ','mobilephone','1',1669672736370470912,'tmbrm_access_apply','34HTXX81G8FI','准入申请',' ','SYSTEM','TP',1669662947560957952,'/LOQO9724P0L','12',' ','手机号',1,'fmobilephone','金融机构关系管理','资金云');
DELETE FROM t_privacy_scheme_desen WHERE FENTRYID = 1669672736370470913;
INSERT INTO t_privacy_scheme_desen(FID,FDENSEFIELDLOCALE,FDENSE_TABLE_NAME,FDENSE_FIELD_IDENT,FDESENSITIZ_STATUS,FENTRYID,FDENSE_ENTITY_NUMBER,FDENSE_APP_NUMBER,FDENSE_ENTITY_NAME,FDENSE_FIELD_LOCALE,FDESENSITIZE_TYPE,FDESENSITIZE_RULE,FLABELID,FDENSE_CLOUD_NUMBER,FDENSE_FIELD_TYPE,FPLUGIN,FDENSE_FIELD_DESC,FSEQ,FDENSE_FIELD_NAME,FDENSE_APP_NAME,FDENSE_CLOUD_NAME) VALUES (1669672736320139264,' ',' ','phone','1',1669672736370470913,'tmbrm_access_apply','34HTXX81G8FI','准入申请',' ','SYSTEM','QT',1669662947560957953,'/LOQO9724P0L','12',' ','电话',2,'fphone','金融机构关系管理','资金云');
DELETE FROM t_privacy_scheme_desen WHERE FENTRYID = 1669672736370470914;
INSERT INTO t_privacy_scheme_desen(FID,FDENSEFIELDLOCALE,FDENSE_TABLE_NAME,FDENSE_FIELD_IDENT,FDESENSITIZ_STATUS,FENTRYID,FDENSE_ENTITY_NUMBER,FDENSE_APP_NUMBER,FDENSE_ENTITY_NAME,FDENSE_FIELD_LOCALE,FDESENSITIZE_TYPE,FDESENSITIZE_RULE,FLABELID,FDENSE_CLOUD_NUMBER,FDENSE_FIELD_TYPE,FPLUGIN,FDENSE_FIELD_DESC,FSEQ,FDENSE_FIELD_NAME,FDENSE_APP_NAME,FDENSE_CLOUD_NAME) VALUES (1669672736320139264,' ',' ','email','1',1669672736370470914,'tmbrm_access_apply','34HTXX81G8FI','准入申请',' ','SYSTEM','QT',1669662947560957954,'/LOQO9724P0L','12',' ','邮箱',3,'femail','金融机构关系管理','资金云');
DELETE FROM t_privacy_scheme_desen WHERE FENTRYID = 1670322789912941568;
INSERT INTO t_privacy_scheme_desen(FID,FDENSEFIELDLOCALE,FDENSE_TABLE_NAME,FDENSE_FIELD_IDENT,FDESENSITIZ_STATUS,FENTRYID,FDENSE_ENTITY_NUMBER,FDENSE_APP_NUMBER,FDENSE_ENTITY_NAME,FDENSE_FIELD_LOCALE,FDESENSITIZE_TYPE,FDESENSITIZE_RULE,FLABELID,FDENSE_CLOUD_NUMBER,FDENSE_FIELD_TYPE,FPLUGIN,FDENSE_FIELD_DESC,FSEQ,FDENSE_FIELD_NAME,FDENSE_APP_NAME,FDENSE_CLOUD_NAME) VALUES (1669672736320139264,' ',' ','contactname','1',1670322789912941568,'tmbrm_access_apply','34HTXX81G8FI','准入申请',' ','SYSTEM','NM',1670322533146043392,'/LOQO9724P0L','12',' ','姓名',4,'fcontactname','金融机构关系管理','资金云');
