/**Begin D:\PDM\PDM_UPGRADE\pdm1\TMBRM_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_TMBRM_EVALITEM_L', 'T_TMBRM_EVALITEM_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_TMBRM_EVALITEM_L') CREATE INDEX IDX_T_TMBRM_EVALITEM_L ON T_TMBRM_EVALITEM_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_TMBRM_EVALITEM_REF', 'T_TMBRM_EVALITEM_REF', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_EVALITEM_REF') CREATE INDEX IDX_TMBRM_EVALITEM_REF ON T_TMBRM_EVALITEM_REF ( FID );


 EXEC P_ALTERPK 'PK_T_TMBRM_EVALITEM_RULE', 'T_TMBRM_EVALITEM_RULE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_EVALITEM_RULE') CREATE INDEX IDX_TMBRM_EVALITEM_RULE ON T_TMBRM_EVALITEM_RULE ( FID );


 EXEC P_ALTERPK 'PK_T_TMBRM_EVALITEM', 'T_TMBRM_EVALITEM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_TMBRM_EVALITEM_CREATEORG') CREATE INDEX IDX_T_TMBRM_EVALITEM_CREATEORG ON T_TMBRM_EVALITEM ( FCREATEORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_TMBRM_EVALITEM_MASTER') CREATE INDEX IDX_T_TMBRM_EVALITEM_MASTER ON T_TMBRM_EVALITEM ( FMASTERID );


 EXEC P_ALTERPK 'PK_T_TMBRM_EVALITEM_RULE_L', 'T_TMBRM_EVALITEM_RULE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_TMBRM_EVALITEM_RULE_L') CREATE INDEX IDX_T_TMBRM_EVALITEM_RULE_L ON T_TMBRM_EVALITEM_RULE_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_TMBRM_EVAL_REPORT', 'T_TMBRM_EVAL_REPORT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_EVAL_REPORT') CREATE INDEX IDX_TMBRM_EVAL_REPORT ON T_TMBRM_EVAL_REPORT ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_TMBRM_EVAL_REPORT_L', 'T_TMBRM_EVAL_REPORT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_TMBRM_EVALRPT_L') CREATE INDEX IDX_T_TMBRM_EVALRPT_L ON T_TMBRM_EVAL_REPORT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_TMBRM_EVAL_RPT_RESULT', 'T_TMBRM_EVAL_RPT_RESULT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_EVALRPT_RESULT') CREATE INDEX IDX_TMBRM_EVALRPT_RESULT ON T_TMBRM_EVAL_RPT_RESULT ( FID );


 EXEC P_ALTERPK 'PK_T_TMBRM_EVAL_RPT_ORGDTL', 'T_TMBRM_EVAL_RPT_ORGDTL', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_EVALRPT_ORGDTL') CREATE INDEX IDX_TMBRM_EVALRPT_ORGDTL ON T_TMBRM_EVAL_RPT_ORGDTL ( FID );


 EXEC P_ALTERPK 'PK_T_TMBRM_EVAL_RPT_BONUS', 'T_TMBRM_EVAL_RPT_BONUS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_EVALRPT_BONUS') CREATE INDEX IDX_TMBRM_EVALRPT_BONUS ON T_TMBRM_EVAL_RPT_BONUS ( FID );


 EXEC P_ALTERPK 'PK_T_TMBRM_EVAL_RPT_MINUS', 'T_TMBRM_EVAL_RPT_MINUS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_EVALRPT_MINUS') CREATE INDEX IDX_TMBRM_EVALRPT_MINUS ON T_TMBRM_EVAL_RPT_MINUS ( FID );

EXEC P_ALTERPK 'PK_T_TMBRM_EVALITEM_CLASS', 'T_TMBRM_EVALITEM_CLASS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_TMBRM_EVALITEM_CLASS') CREATE UNIQUE INDEX IDX_T_TMBRM_EVALITEM_CLASS ON T_TMBRM_EVALITEM_CLASS ( FNUMBER );


EXEC P_ALTERPK 'PK_T_TMBRM_EVALITEM_CLASS_L', 'T_TMBRM_EVALITEM_CLASS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_TMBRM_EVALITEM_CLASS_L') CREATE INDEX IDX_T_TMBRM_EVALITEM_CLASS_L ON T_TMBRM_EVALITEM_CLASS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_TMBRM_EVALPROPOSAL', 'T_TMBRM_EVALPROPOSAL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_POSAL_CREATEORG') CREATE INDEX IDX_TMBRM_POSAL_CREATEORG ON T_TMBRM_EVALPROPOSAL ( FCREATEORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_POSAL_MASTER') CREATE INDEX IDX_TMBRM_POSAL_MASTER ON T_TMBRM_EVALPROPOSAL ( FMASTERID );


 EXEC P_ALTERPK 'PK_T_TMBRM_EVALPROPITEM', 'T_TMBRM_EVALPROPITEM', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_EVALPROPITEM_FK') CREATE INDEX IDX_TMBRM_EVALPROPITEM_FK ON T_TMBRM_EVALPROPITEM ( FID );


 EXEC P_ALTERPK 'PK_T_TMBRM_EVALPROPOSAL_L', 'T_TMBRM_EVALPROPOSAL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_EVALPROPOSAL_L_0') CREATE INDEX IDX_TMBRM_EVALPROPOSAL_L_0 ON T_TMBRM_EVALPROPOSAL_L ( FID ,FLOCALEID );



/**End D:\PDM\PDM_UPGRADE\pdm1\TMBRM_constraint.sql **/
