﻿/**Begin D:\PDM_UPGRADE\PDM1\TMBRM_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_TMBRM_TASK', 'T_TMBRM_TASK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_TASKNO') CREATE INDEX IDX_TMBRM_TASKNO ON T_TMBRM_TASK ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_TMBRM_TASKENTRY', 'T_TMBRM_TASKENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_TASKENTRY_FK') CREATE INDEX IDX_TMBRM_TASKENTRY_FK ON T_TMBRM_TASKENTRY ( FID );

EXEC P_ALTERPK 'PK_T_TMBRM_EVAL_SCHEDULE', 'T_TMBRM_EVAL_SCHEDULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_EVAL_SCHEDULE') CREATE INDEX IDX_TMBRM_EVAL_SCHEDULE ON T_TMBRM_EVAL_SCHEDULE ( FNUMBER ,FNAME );


EXEC P_ALTERPK 'PK_T_TMBRM_EVAL_SCHEDULE_L', 'T_TMBRM_EVAL_SCHEDULE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_EVAL_SCHEDULE_L') CREATE INDEX IDX_TMBRM_EVAL_SCHEDULE_L ON T_TMBRM_EVAL_SCHEDULE_L ( FID ,FLOCALEID );


EXEC P_ALTERPK 'PK_T_TMBRM_EVAL_ORGWEIGHT', 'T_TMBRM_EVAL_ORGWEIGHT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_EVAL_ORGWEIGHT') CREATE INDEX IDX_TMBRM_EVAL_ORGWEIGHT ON T_TMBRM_EVAL_ORGWEIGHT ( FID );


EXEC P_ALTERPK 'PK_T_TMBRM_EVAL_ORGWEIGHT_L', 'T_TMBRM_EVAL_ORGWEIGHT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_EVAL_ORGWEIGHT_L') CREATE INDEX IDX_TMBRM_EVAL_ORGWEIGHT_L ON T_TMBRM_EVAL_ORGWEIGHT_L ( FENTRYID ,FLOCALEID );


EXEC P_ALTERPK 'PK_T_TMBRM_EVAL_TARGET', 'T_TMBRM_EVAL_TARGET', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_EVAL_TARGET') CREATE INDEX IDX_TMBRM_EVAL_TARGET ON T_TMBRM_EVAL_TARGET ( FID );

 EXEC P_ALTERPK 'PK_T_TMBRM_TASKFINATTC', 'T_TMBRM_TASKFINATTC', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_TASKFINATTC') CREATE INDEX IDX_TMBRM_TASKFINATTC ON T_TMBRM_TASKFINATTC ( FENTRYID );

EXEC P_ALTERPK 'PK_T_TMBRM_EVAL_TARGET_FIN', 'T_TMBRM_EVAL_TARGET_FIN', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TMBRM_EVAL_TARGET_FIN') CREATE INDEX IDX_TMBRM_EVAL_TARGET_FIN ON T_TMBRM_EVAL_TARGET_FIN ( FID );



/**End D:\PDM_UPGRADE\PDM1\TMBRM_constraint.sql **/
