﻿/**Begin D:\PDM_UPGRADE\PDM1\TMBRM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_TASK') 
 CREATE TABLE T_TMBRM_TASK (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSCHEDULEID BIGINT DEFAULT 0 NOT NULL,
FACTUALFINDATE DATETIME,
FEVALUATESTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCOMMENT VARCHAR(100) DEFAULT ' ' NOT NULL,
FEVALUATORID BIGINT DEFAULT 0 NOT NULL,
FRATIFYUSERID BIGINT DEFAULT 0 NOT NULL,
FRATIFYTEXT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTERMINATETEXT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTERMINATORID BIGINT DEFAULT 0 NOT NULL,
FFINORGTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FENDTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_TASKENTRY') 
 CREATE TABLE T_TMBRM_TASKENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FFINORGID BIGINT DEFAULT 0 NOT NULL,
FTOTALSCORE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORGCOMMENT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPLUSINFO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FMINUSINFO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDETAILSCORE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDETAILSCORE_TAG NCLOB DEFAULT ''
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_EVAL_SCHEDULE')
CREATE TABLE T_TMBRM_EVAL_SCHEDULE (
                                       FID BIGINT DEFAULT 0 NOT NULL,
                                       FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
                                       FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                       FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
                                       FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                       FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                       FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
                                       FCREATETIME DATETIME,
                                       FMODIFYTIME DATETIME,
                                       FMASTERID BIGINT DEFAULT 0 NOT NULL,
                                       FEVALDATE DATETIME,
                                       FORGID BIGINT DEFAULT 0 NOT NULL,
                                       FFINISHDATE DATETIME,
                                       FEVALTYPEID BIGINT DEFAULT 0 NOT NULL,
                                       FEVALPROPOSALID BIGINT DEFAULT 0 NOT NULL,
                                       FEVALPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
                                       FFROMDATE DATETIME,
                                       FTODATE DATETIME,
                                       FFINTYPEID BIGINT DEFAULT 0 NOT NULL,
                                       FEVALWAY VARCHAR(50) DEFAULT ' ' NOT NULL,
                                       FSPECIFY CHAR(1) DEFAULT '1' NOT NULL,
                                       FEVALORGWGT VARCHAR(50) DEFAULT ' ' NOT NULL,
                                       FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                       FSCHSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
                                       FENDOPINION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                       FTERMINATORID BIGINT DEFAULT 0 NOT NULL,
                                       FENDTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_EVAL_SCHEDULE_L')
CREATE TABLE T_TMBRM_EVAL_SCHEDULE_L (
                                         FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
                                         FID BIGINT DEFAULT 0 NOT NULL,
                                         FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                         FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                         FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                         FENDOPINION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_EVAL_ORGWEIGHT')
CREATE TABLE T_TMBRM_EVAL_ORGWEIGHT (
                                        FID BIGINT DEFAULT 0 NOT NULL,
                                        FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                        FSEQ BIGINT DEFAULT 0 NOT NULL,
                                        FEVALUATEORGID BIGINT DEFAULT 0 NOT NULL,
                                        FEVALUATEORGWGT DECIMAL(23,10) DEFAULT 0 NOT NULL,
                                        FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_EVAL_ORGWEIGHT_L')
CREATE TABLE T_TMBRM_EVAL_ORGWEIGHT_L (
                                          FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
                                          FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                          FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                          FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_EVAL_TARGET')
CREATE TABLE T_TMBRM_EVAL_TARGET (
                                     FPKID BIGINT DEFAULT 0 NOT NULL,
                                     FID BIGINT DEFAULT 0 NOT NULL,
                                     FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_TASKFINATTC')
 CREATE TABLE T_TMBRM_TASKFINATTC (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_EVAL_TARGET_FIN')
CREATE TABLE T_TMBRM_EVAL_TARGET_FIN (
                                         FPKID BIGINT DEFAULT 0 NOT NULL,
                                         FID BIGINT DEFAULT 0 NOT NULL,
                                         FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\TMBRM_table.sql **/
