﻿/**Begin D:\PDM_UPGRADE\PDM1\TMBRM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_ACCESSTYPE')
CREATE TABLE T_TMBRM_ACCESSTYPE (
    FID BIGINT DEFAULT 0 NOT NULL,
    FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
    FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FCREATORID BIGINT DEFAULT 0 NOT NULL,
    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
    FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FCREATETIME DATETIME,
    FMODIFYTIME DATETIME,
    FMASTERID BIGINT DEFAULT 0 NOT NULL,
    FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FDISABLERID BIGINT DEFAULT 0 NOT NULL,
    FENABLERID BIGINT DEFAULT 0 NOT NULL,
    FENABLEDATE DATETIME,
    FDISABLEDATE DATETIME,
    FBUSINESSTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FSURVEY CHAR(1) DEFAULT '0' NOT NULL,
    FACCESS CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_SURVEY_ELEMENT')
CREATE TABLE T_TMBRM_SURVEY_ELEMENT (
    FID BIGINT DEFAULT 0 NOT NULL,
    FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
    FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FCREATORID BIGINT DEFAULT 0 NOT NULL,
    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
    FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
    FCREATETIME DATETIME,
    FMODIFYTIME DATETIME,
    FMASTERID BIGINT DEFAULT 0 NOT NULL,
    FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FITEMID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_SURVEY_ELEMENT_L')
CREATE TABLE T_TMBRM_SURVEY_ELEMENT_L (
    FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
    FID BIGINT DEFAULT 0 NOT NULL,
    FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
    FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_ACCESSTYPE_L')
CREATE TABLE T_TMBRM_ACCESSTYPE_L (
    FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
    FID BIGINT DEFAULT 0 NOT NULL,
    FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
    FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


/**End D:\PDM_UPGRADE\PDM1\TMBRM_table.sql **/
