﻿/**Begin D:\PDM\PDM_UPGRADE\pdm1\TMBRM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_ARCHIVES_CHG')
 CREATE TABLE T_TMBRM_ARCHIVES_CHG (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCHGDATE DATETIME,
FSRCBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FCHGREASON VARCHAR(255) DEFAULT ' ' NOT NULL,
FSRCBILLTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLPK VARCHAR(50) DEFAULT ' ' NOT NULL,
FFINTYPEID BIGINT DEFAULT 0 NOT NULL,
FFINORGID BIGINT DEFAULT 0 NOT NULL,
FFINORGTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FFINORGNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FSTRATEGICBANK CHAR(1) DEFAULT '0' NOT NULL,
FRELATIONLEVEL VARCHAR(50) DEFAULT ' ' NOT NULL,
FBEFORECHGINFO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBEFORECHGINFO_TAG NCLOB DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_ARCHIVES_CHG_L')
 CREATE TABLE T_TMBRM_ARCHIVES_CHG_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FCHGREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFINORGNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_CHG_ENTRY')
 CREATE TABLE T_TMBRM_CHG_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCHGFIELD NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOLDVALUE NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FNEWVALUE NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FNOTE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINFOTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCENTRYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYFIELDNAME VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_CHG_ENTRY_L')
 CREATE TABLE T_TMBRM_CHG_ENTRY_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNOTE VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_CHG_ENTRY_ATT')
 CREATE TABLE T_TMBRM_CHG_ENTRY_ATT (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_CHG_ENTRY_CHGATT')
 CREATE TABLE T_TMBRM_CHG_ENTRY_CHGATT (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_ARCHIVES_SHARE')
CREATE TABLE T_TMBRM_ARCHIVES_SHARE (
    FID BIGINT DEFAULT 0 NOT NULL,
    FENTRYID BIGINT DEFAULT 0 NOT NULL,
    FSEQ BIGINT DEFAULT 0 NOT NULL,
    FSNATUREID BIGINT DEFAULT 0 NOT NULL,
    FSCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
    FSPERCENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
    FSCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FSHAREHOLDER NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_ARCHIVES_SHARE_L')
CREATE TABLE T_TMBRM_ARCHIVES_SHARE_L (
    FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
    FENTRYID BIGINT DEFAULT 0 NOT NULL,
    FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
    FSCOMMENT VARCHAR(255) DEFAULT ' ' NOT NULL,
    FSHAREHOLDER VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_ARCHIVES_CREDIT')
CREATE TABLE T_TMBRM_ARCHIVES_CREDIT (
    FID BIGINT DEFAULT 0 NOT NULL,
    FENTRYID BIGINT DEFAULT 0 NOT NULL,
    FSEQ BIGINT DEFAULT 0 NOT NULL,
    FRATINGAGENCYID BIGINT DEFAULT 0 NOT NULL,
    FRATINGDATE DATETIME,
    FRATINGCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FRATINGSCALE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_ARCHIVES_CREDIT_L')
CREATE TABLE T_TMBRM_ARCHIVES_CREDIT_L (
    FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
    FENTRYID BIGINT DEFAULT 0 NOT NULL,
    FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
    FRATINGCOMMENT VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_ARCHIVES_CONTACT')
CREATE TABLE T_TMBRM_ARCHIVES_CONTACT (
    FID BIGINT DEFAULT 0 NOT NULL,
    FENTRYID BIGINT DEFAULT 0 NOT NULL,
    FSEQ BIGINT DEFAULT 0 NOT NULL,
    FMOBILEPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
    FEMAIL VARCHAR(70) DEFAULT ' ' NOT NULL,
    FDEFAULT CHAR(1) DEFAULT '0' NOT NULL,
    FGENDER VARCHAR(50) DEFAULT ' ' NOT NULL,
    FPHONE VARCHAR(50) DEFAULT ' ' NOT NULL,
    FCONCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FCONTACTNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FDEPARTMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FJOBTITLE NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FRESPOSIBILITY NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_ARCHIVES_CONTACT_L')
CREATE TABLE T_TMBRM_ARCHIVES_CONTACT_L (
    FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
    FENTRYID BIGINT DEFAULT 0 NOT NULL,
    FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
    FCONCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FCONTACTNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FDEPARTMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FJOBTITLE NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FRESPOSIBILITY NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_ARCHIVES_MANAGER')
CREATE TABLE T_TMBRM_ARCHIVES_MANAGER (
    FID BIGINT DEFAULT 0 NOT NULL,
    FENTRYID BIGINT DEFAULT 0 NOT NULL,
    FSEQ BIGINT DEFAULT 0 NOT NULL,
    FMANAGER NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FORIGINALPOSITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FNEWPOSITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FCHANGECOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FCHANGEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_ARCHIVES_MANAGER_L')
CREATE TABLE T_TMBRM_ARCHIVES_MANAGER_L (
    FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
    FENTRYID BIGINT DEFAULT 0 NOT NULL,
    FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
    FMANAGER VARCHAR(255) DEFAULT ' ' NOT NULL,
    FORIGINALPOSITION VARCHAR(255) DEFAULT ' ' NOT NULL,
    FNEWPOSITION VARCHAR(255) DEFAULT ' ' NOT NULL,
    FCHANGECOMMENT VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_ARCHIVES_EVALINFO')
CREATE TABLE T_TMBRM_ARCHIVES_EVALINFO (
    FID BIGINT DEFAULT 0 NOT NULL,
    FENTRYID BIGINT DEFAULT 0 NOT NULL,
    FSEQ BIGINT DEFAULT 0 NOT NULL,
    FREPORTBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
    FEVALNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
    FEVALORGID BIGINT DEFAULT 0 NOT NULL,
    FEVALPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
    FEVALFROMDATE DATETIME,
    FEVALTODATE DATETIME,
    FEVALDATE DATETIME,
    FACTUALDATE DATETIME,
    FEVALSCORE DECIMAL(23,10) DEFAULT 0 NOT NULL,
    FREPORTID VARCHAR(50) DEFAULT ' ' NOT NULL,
    FCHECKTIME DATETIME,
    FEVALPROPOSALID BIGINT DEFAULT 0 NOT NULL,
    FEVALTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
    FEVALBILLTYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_ARCHIVES_COMM')
CREATE TABLE T_TMBRM_ARCHIVES_COMM (
    FID BIGINT DEFAULT 0 NOT NULL,
    FENTRYID BIGINT DEFAULT 0 NOT NULL,
    FSEQ BIGINT DEFAULT 0 NOT NULL,
    FCOMMDATE DATETIME,
    FCOMMFORMID BIGINT DEFAULT 0 NOT NULL,
    FCOMMCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FCOMMSUMMARY NVARCHAR(2000) DEFAULT ' ' NOT NULL,
    FPERSON NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FFINPERSON NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_ARCHIVES_COMM_L')
CREATE TABLE T_TMBRM_ARCHIVES_COMM_L (
    FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
    FENTRYID BIGINT DEFAULT 0 NOT NULL,
    FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
    FCOMMCOMMENT VARCHAR(255) DEFAULT ' ' NOT NULL,
    FPERSON VARCHAR(255) DEFAULT ' ' NOT NULL,
    FFINPERSON VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_ARCHIVES_FINORG')
CREATE TABLE T_TMBRM_ARCHIVES_FINORG (
    FID BIGINT DEFAULT 0 NOT NULL,
    FENTRYID BIGINT DEFAULT 0 NOT NULL,
    FSEQ BIGINT DEFAULT 0 NOT NULL,
    FFINORGINFOID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_ARCHIVES_KEYITEM')
CREATE TABLE T_TMBRM_ARCHIVES_KEYITEM (
    FID BIGINT DEFAULT 0 NOT NULL,
    FENTRYID BIGINT DEFAULT 0 NOT NULL,
    FSEQ BIGINT DEFAULT 0 NOT NULL,
    FITEMNATURE VARCHAR(50) DEFAULT ' ' NOT NULL,
    FITEMCLASSID BIGINT DEFAULT 0 NOT NULL,
    FITEMDATE DATETIME,
    FASSOCIATEDORGID BIGINT DEFAULT 0 NOT NULL,
    FITEMDESC VARCHAR(2000) DEFAULT ' ' NOT NULL,
    FBILLTYPEID VARCHAR(36) DEFAULT ' ' NOT NULL,
    FBILLTEXT VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_FINORG_ARCHIVES_F')
CREATE TABLE T_TMBRM_FINORG_ARCHIVES_F (
    FID BIGINT DEFAULT 0 NOT NULL,
    FCURRENCYUNIT VARCHAR(50) DEFAULT ' ' NOT NULL,
    FNETPROFIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
    FTOTALASSETS DECIMAL(23,10) DEFAULT 0 NOT NULL,
    FTOTALLOAN DECIMAL(23,10) DEFAULT 0 NOT NULL,
    FTOTALCUSTDEPOSIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
    FNETINTERESTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
    FNOPERFLOADRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
    FPROVCONVERAGE DECIMAL(23,10) DEFAULT 0 NOT NULL,
    FCAPADEQUACY DECIMAL(23,10) DEFAULT 0 NOT NULL,
    FFINDESC VARCHAR(2000) DEFAULT ' ' NOT NULL,
    FFINCURRENCYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_FINORG_ARCHIVES_C')
CREATE TABLE T_TMBRM_FINORG_ARCHIVES_C (
    FID BIGINT DEFAULT 0 NOT NULL,
    FSTRATEGICBANK CHAR(1) DEFAULT '0' NOT NULL,
    FRELATIONLEVEL VARCHAR(50) DEFAULT ' ' NOT NULL,
    FCOOPAREA VARCHAR(2000) DEFAULT ' ' NOT NULL,
    FCOOPRANGE VARCHAR(2000) DEFAULT ' ' NOT NULL,
    FCOOPCOMMENT VARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_KEYITEM_ATTACH')
CREATE TABLE T_TMBRM_KEYITEM_ATTACH (
    FPKID BIGINT DEFAULT 0 NOT NULL,
    FENTRYID BIGINT DEFAULT 0 NOT NULL,
    FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_COMM_ATTACH')
CREATE TABLE T_TMBRM_COMM_ATTACH (
    FPKID BIGINT DEFAULT 0 NOT NULL,
    FENTRYID BIGINT DEFAULT 0 NOT NULL,
    FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_FINORG_ARCHIVES')
CREATE TABLE T_TMBRM_FINORG_ARCHIVES (
    FID BIGINT DEFAULT 0 NOT NULL,
    FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
    FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
    FCREATORID BIGINT DEFAULT 0 NOT NULL,
    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
    FAUDITORID BIGINT DEFAULT 0 NOT NULL,
    FAUDITDATE DATETIME,
    FMODIFYTIME DATETIME,
    FCREATETIME DATETIME,
    FARCHIVESTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
    FMANAGEORGID BIGINT DEFAULT 0 NOT NULL,
    FORGVIEWID BIGINT DEFAULT 0 NOT NULL,
    FLOGO VARCHAR(255) DEFAULT ' ' NOT NULL,
    FINSTNATURE VARCHAR(50) DEFAULT ' ' NOT NULL,
    FCREDITCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
    FLISTED CHAR(1) DEFAULT '0' NOT NULL,
    FNETWORKNUMBER BIGINT,
    FBANKNUMBER BIGINT,
    FCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
    FPROVINCEID BIGINT DEFAULT 0 NOT NULL,
    FCITYID BIGINT DEFAULT 0 NOT NULL,
    FWEBSITE VARCHAR(50) DEFAULT ' ' NOT NULL,
    FBASECOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FOFFICEADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FLISTINGLOCATION NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FFINTYPEID BIGINT DEFAULT 0 NOT NULL,
    FFINORGID BIGINT DEFAULT 0 NOT NULL,
    FAUTHCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
    FFINORGTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
    FFINORGTEXT VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_FINORG_ARCHIVES_L')
CREATE TABLE T_TMBRM_FINORG_ARCHIVES_L (
    FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
    FID BIGINT DEFAULT 0 NOT NULL,
    FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
    FBASECOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FOFFICEADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
    FLISTINGLOCATION NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TMBRM_ACCESSAPPLY_L' AND KSQL_COL_NAME IN ('FADDRESS'))
 ALTER TABLE T_TMBRM_ACCESSAPPLY_L ADD (FADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TMBRM_ACCESSAPPLY_L' AND KSQL_COL_NAME IN ('FORGCOMMENT'))
 ALTER TABLE T_TMBRM_ACCESSAPPLY_L ADD (FORGCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_ACCESSCONTENTRY_L')
 CREATE TABLE T_TMBRM_ACCESSCONTENTRY_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FCONCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONTACTNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDEPARTMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FJOBTITLE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRESPOSIBILITY NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_ACCESSCREDITENTRY_L')
 CREATE TABLE T_TMBRM_ACCESSCREDITENTRY_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FRATINGCOMMENT VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_ACCESSSHAREENTRY_L')
 CREATE TABLE T_TMBRM_ACCESSSHAREENTRY_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FSCOMMENT VARCHAR(255) DEFAULT ' ' NOT NULL,
FSHAREHOLDER VARCHAR(255) DEFAULT ' ' NOT NULL
);

/**End D:\PDM\PDM_UPGRADE\pdm1\TMBRM_table.sql **/
