﻿/**Begin D:\PDM_UPGRADE\PDM1\TMBRM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TMBRM_FINORG_ARCHIVES' AND KSQL_COL_NAME IN ('FSETTLECHARGEINFO'))
 ALTER TABLE T_TMBRM_FINORG_ARCHIVES ADD (FSETTLECHARGEINFO NVARCHAR(2000) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_FINORGCODATA')
 CREATE TABLE T_TMBRM_FINORGCODATA (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FFINORGTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFINORGID BIGINT DEFAULT 0 NOT NULL,
FTOTALACCOUNT BIGINT DEFAULT 0 NOT NULL,
FDOMESTICACCOUNT BIGINT DEFAULT 0 NOT NULL,
FOVERSEAACCOUNT BIGINT DEFAULT 0 NOT NULL,
FDICRECTACCOUNT BIGINT DEFAULT 0 NOT NULL,
FORGVIEWID BIGINT DEFAULT 0 NOT NULL,
FDATATIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_FINORGBONDDATA')
 CREATE TABLE T_TMBRM_FINORGBONDDATA (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FBONDAREA NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBONDDATESCOPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBONDINVEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBONDCONAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBONDCURRENCYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_FINORGCREDDATA')
 CREATE TABLE T_TMBRM_FINORGCREDDATA (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCREDITAREA NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREDITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREDITYEAR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREDCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCREDITLASTYEAR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREDITNEXTYEAR DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_FINORGDEPODATA')
 CREATE TABLE T_TMBRM_FINORGDEPODATA (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FDEPOSITTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDEPOSITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEPOSITINCOME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEPOSITAREA NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDEPOCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FDEPOSITAVGAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_FINORGLOANDATA')
 CREATE TABLE T_TMBRM_FINORGLOANDATA (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FLOANAREA NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLOANDATESCOPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLOANAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOANCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOANCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FLOANAVGBALANCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOANCURBALANCE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TMBRM_FINORGSETLDATA')
 CREATE TABLE T_TMBRM_FINORGSETLDATA (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSETTLEAREA NVARCHAR(50) DEFAULT ' ' NOT NULL,
FYEARSCOPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOUTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINNUM BIGINT DEFAULT 0 NOT NULL,
FOUTNUM BIGINT DEFAULT 0 NOT NULL,
FSETTCURRENCYID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\TMBRM_table.sql **/
